For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all data diffs
        • GETGet log by ID
        • GETGet a link to the job log raw request and response data of a write job.
        • GETQuery write job logs
        • GETGet logs
        • GETGet logs by job ID
        • GETGet all my integrations
        • POSTCreate an integration
        • GETGet all my users
        • GETGet user by id
        • GETCheck the status of a write operation
        • POSTRetry a write operation
        • GETGet integration by id
        • PUTUpdate an integration
        • DELDelete an integration
        • POSTTrigger a backsync on an integration.
        • POSTTrigger a manual sync on an integration.
        • GETGet data access information for an integration.
        • POSTTrigger a data access check on an integration.
        • GETGet all my property configurations
        • GETGet all my property list configurations
        • POSTCreate a property list configuration
        • GETGet job schedules by integration id
        • GETGet custom enum mappings for normalizing PMS-specific field values
        • PUTBulk enable or disable property configurations
        • PUTUpdate a property configuration
        • PUTUpdate a property list configuration
        • GETThe current PMS rate limits associated with your integration.
        • GETGet job schedule by id
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIsAdmin

Query write job logs

GET
/v1/admin/logs/writes/
GET
/v1/admin/logs/writes/
$curl https://api.propexo.com/v1/admin/logs/writes/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "results": {
3 "logs": [
4 {
5 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
6 "created_at": "2024-06-10T15:45:30Z",
7 "job_id": "job_20240610_001",
8 "job_log_id": "log_20240610_001",
9 "status": "SUCCESS",
10 "integration_id": "int_987654321",
11 "job_type": "data_sync",
12 "error": null,
13 "name": "Daily Property Sync",
14 "vendor": "APPFOLIO"
15 }
16 ]
17 }
18}

Query write job logs with various filters. Returns the most recent record for each job_id.

Was this page helpful?
Previous

Get logs

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional1-100Defaults to 100
Number of records to return
offsetinteger or nullOptional>=0Defaults to 0
Number of records to skip
time_rangeenumOptional
Filter logs by time range
Allowed values:
integration_idstringOptional
Filter logs by integration ID
statusenumOptional
Filter logs by status
Allowed values:
write_categoryenumOptional
Filter logs by write category

Response

Successful response
resultsobject

Errors

400
Bad Request Error